package cmd

import (
	"fmt"
	"os"

	"git.wntrmute.dev/kyle/arca/internal/verbose"
	"github.com/spf13/cobra"
)

var rootCmd = &cobra.Command{
	Use:   "arca",
	Short: "Mount and unmount LUKS-encrypted volumes",
}

func init() {
	rootCmd.PersistentFlags().BoolVarP(&verbose.Enabled, "verbose", "v", false, "print debug information to stderr")
}

func SetVersion(v string) {
	rootCmd.Version = v
}

func Execute() {
	if err := rootCmd.Execute(); err != nil {
		fmt.Fprintln(os.Stderr, err)
		os.Exit(1)
	}
}
